Package com.google.javascript.jscomp

# Class CssRenamingMap.ByPart

java.lang.Object
com.google.javascript.jscomp.CssRenamingMap.ByPart

All Implemented Interfaces:
  `CssRenamingMap`

Enclosing interface:
  `CssRenamingMap`

public abstract static class CssRenamingMap.ByPart extends Object implements CssRenamingMap

## Nested Class Summary

## Nested classes/interfaces inherited from interface com.google.javascript.jscomp.CssRenamingMap

`CssRenamingMap.ByPart, CssRenamingMap.ByWhole, CssRenamingMap.Style`

## Constructor Summary

Constructors
Constructor
Description
`ByPart()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`get(String value)`
`CssRenamingMap.Style`
`getStyle()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByPart

public ByPart()

## Method Details

### get

public abstract String get(String value)

Specified by:
  `get` in interface `CssRenamingMap`

### getStyle

public CssRenamingMap.Style getStyle()

Specified by:
  `getStyle` in interface `CssRenamingMap`